(function(){

    // Do whatever you want, initialize some variables, declare some functions, ...
    var heartbeatEnabled = false,
        heartbeat = setInterval(()=>{
            if (heartbeatEnabled) {
                sendOsc({
                    address: '/cue/sendYourValuesToMe/start',
                    host: '127.0.0.1',
                    port: 53000

                })
            }
        }, 250)


    return {
        init: function(){
            // this will be executed once when the osc server starts
            heartbeatEnabled = true
        },
        oscInFilter:function(data){
            // Filter incomming osc messages

            var {address, args, host, port} = data

            if (address === '/cue/sendYourValuesToMe/start' && args[0]) {
                heartbeatEnabled = !!args[0].value
            }

            // return data if you want the message to be processed
            return {address, args, host, port}

        },
        oscOutFilter:function(data){
            // Filter outgoing osc messages

            var {address, args, host, port} = data

            if (address === '/cue/sendYourValuesToMe/start' && args[0]) {
                heartbeatEnabled = !!args[0].value
            }

            // return data if you want the message to be and sent
            return {address, args, host, port}
        }
    }

})()